'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pages = exports.compareThreshold = exports.githubApiUrl = exports.renderWrapperModule = exports.tmpdir = exports.publicFolders = exports.prerender = exports.plugins = exports.type = exports.configFile = exports.asyncTimeout = exports.targets = exports.project = exports.setupScript = exports.stylesheets = exports.include = exports.endpoint = exports.apiSecret = exports.apiKey = undefined;
exports.customizeWebpackConfig = customizeWebpackConfig;

var _os = require('os');

var _os2 = _interopRequireDefault(_os);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _RemoteBrowserTarget = require('./RemoteBrowserTarget');

var _RemoteBrowserTarget2 = _interopRequireDefault(_RemoteBrowserTarget);

var _createHash = require('./createHash');

var _createHash2 = _interopRequireDefault(_createHash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const cwdUniqueFolderName = `happo-tmp-${(0, _createHash2.default)(process.cwd()).slice(0, 5)}`;

const apiKey = exports.apiKey = process.env.HAPPO_API_KEY;
const apiSecret = exports.apiSecret = process.env.HAPPO_API_SECRET;
const endpoint = exports.endpoint = 'https://happo.io';
const include = exports.include = '**/@(*-happo|happo).@(js|jsx|ts|tsx)';
const stylesheets = exports.stylesheets = [];
const setupScript = exports.setupScript = undefined;
const project = exports.project = undefined;
const targets = exports.targets = {
  chrome: new _RemoteBrowserTarget2.default('chrome', {
    viewport: '1024x768'
  })
};
const asyncTimeout = exports.asyncTimeout = 200;
const configFile = exports.configFile = './.happo.js';
const type = exports.type = 'react';
const plugins = exports.plugins = [];
const prerender = exports.prerender = true;
const publicFolders = exports.publicFolders = [];
const tmpdir = exports.tmpdir = _path2.default.join(_os2.default.tmpdir(), cwdUniqueFolderName);
const renderWrapperModule = exports.renderWrapperModule = undefined;
const githubApiUrl = exports.githubApiUrl = 'https://api.github.com';
const compareThreshold = exports.compareThreshold = undefined;
const pages = exports.pages = undefined;
function customizeWebpackConfig(config) {
  // provide a default no-op for this config option so that we can assume it's
  // always there.
  return config;
}