'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = authForFetch;

var _jsonwebtoken = require('jsonwebtoken');

var _jsonwebtoken2 = _interopRequireDefault(_jsonwebtoken);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function authForFetch({ url, apiKey, apiSecret, endpoint }) {
  if (url.startsWith(endpoint)) {
    // We're making a request for an image at happo.io (
    return {
      bearer: _jsonwebtoken2.default.sign({ key: apiKey }, apiSecret, {
        header: { kid: apiKey }
      })
    };
  }
}