#!/usr/bin/env node
'use strict';

require('babel-polyfill');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _sourceMapSupport = require('source-map-support');

var _sourceMapSupport2 = _interopRequireDefault(_sourceMapSupport);

var _Logger = require('./Logger');

var _Logger2 = _interopRequireDefault(_Logger);

var _executeCli = require('./executeCli');

var _executeCli2 = _interopRequireDefault(_executeCli);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_sourceMapSupport2.default.install({
  retrieveFile: filePath => {
    const prefix = 'file://';

    if (!filePath.startsWith(prefix)) {
      return;
    }
    const realPath = filePath.slice(prefix.length);
    return _fs2.default.readFileSync(realPath, 'utf-8');
  }
});

function printErrorIter(error, logger) {
  logger.error(error);
  if (error.cause) {
    logger.error('Caused by:');
    printErrorIter(error.cause, logger);
  }
}

process.on('unhandledRejection', error => {
  printErrorIter(error, new _Logger2.default());
  throw error;
});

(0, _executeCli2.default)(process.argv);