'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = fetchPngInMemory;

var _pngjs = require('pngjs');

var _request = require('request');

var _request2 = _interopRequireDefault(_request);

var _authForFetch = require('./authForFetch');

var _authForFetch2 = _interopRequireDefault(_authForFetch);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function fetchPngInMemory(url, { apiKey, apiSecret, endpoint }) {
  return new Promise((resolve, reject) => {
    (0, _request2.default)({
      url,
      auth: (0, _authForFetch2.default)({ url, apiKey, apiSecret, endpoint }),
      encoding: null
    }, (error, response, body) => {
      if (error) {
        return reject(error);
      }
      new _pngjs.PNG({ filterType: 4 }).parse(body, (e, data) => {
        if (e) {
          return reject(e);
        }
        resolve(data);
      });
    });
  });
}