'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = findAssetPaths;

var _parseSrcset = require('parse-srcset');

var _parseSrcset2 = _interopRequireDefault(_parseSrcset);

var _stripQueryStringAndHash = require('./stripQueryStringAndHash');

var _stripQueryStringAndHash2 = _interopRequireDefault(_stripQueryStringAndHash);

var _findCSSAssetPaths = require('./findCSSAssetPaths');

var _findCSSAssetPaths2 = _interopRequireDefault(_findCSSAssetPaths);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isAbsoluteUrl(src) {
  return src.startsWith('http') || src.startsWith('//');
}

function findAssetPaths(doc = document) {
  const imgPaths = Array.from(doc.querySelectorAll('img[src]')).map(img => img.getAttribute('src'));

  doc.querySelectorAll('img[srcset]').forEach(img => {
    (0, _parseSrcset2.default)(img.getAttribute('srcset')).forEach(parsed => {
      imgPaths.push(parsed.url);
    });
  });

  doc.querySelectorAll('[style]').forEach(el => {
    (0, _findCSSAssetPaths2.default)({ css: el.getAttribute('style') }).forEach(path => {
      imgPaths.push(path.resolvePath);
    });
  });

  return imgPaths.filter(url => !isAbsoluteUrl(url) && url.trim().length).map(_stripQueryStringAndHash2.default);
}