'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = uploadReport;

var _makeRequest = require('./makeRequest');

var _makeRequest2 = _interopRequireDefault(_makeRequest);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function uploadReport({
  snaps,
  sha,
  endpoint,
  apiKey,
  apiSecret,
  link,
  message,
  project
}) {
  return (0, _makeRequest2.default)({
    url: `${endpoint}/api/reports/${sha}`,
    method: 'POST',
    json: true,
    body: {
      snaps,
      link,
      message,
      project
    }
  }, { apiKey, apiSecret, maxTries: 5 });
}